%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  cvar
%global packver   0.5
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.5
Release:          1%{?dist}%{?buildtag}
Summary:          Compute Expected Shortfall and Value at Risk for Continuous Distributions

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-Rdpack >= 0.8
BuildRequires:    R-CRAN-gbutils 
Requires:         R-CRAN-Rdpack >= 0.8
Requires:         R-CRAN-gbutils 

%description
Compute expected shortfall (ES) and Value at Risk (VaR) from a quantile
function, distribution function, random number generator or probability
density function.  ES is also known as Conditional Value at Risk (CVaR).
Virtually any continuous distribution can be specified. The functions are
vectorized over the arguments. The computations are done directly from the
definitions, see e.g. Acerbi and Tasche (2002)
<doi:10.1111/1468-0300.00091>. Some support for GARCH models is provided,
as well.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
